/*===========================================================================*/
/*   (Read/reader.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Read/reader.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2readerza2z00zzengine_paramz00;
BGL_IMPORT obj_t string_to_obj(obj_t);
static obj_t BGl_cnstzd2initzd2zzread_readerz00();
static obj_t BGl_importedzd2moduleszd2initz00zzread_readerz00();
static obj_t BGl_requirezd2initializa7ationz75zzread_readerz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
static obj_t BGl__compilerzd2readzd2zzread_readerz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_readerz00();
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2readzd2envz00zzread_readerz00, BgL_bgl__compilerza7d2readza7d2za7za7read_readerza7001042za7, va_generic_entry, BGl__compilerzd2readzd2zzread_readerz00, -1 );
DEFINE_STRING( BGl_string1018z00zzread_readerz00, BgL_bgl_string1018za700za7za7read_readerza7001043z00, "intern ", 7 );
DEFINE_STRING( BGl_string1017z00zzread_readerz00, BgL_bgl_string1017za700za7za7read_readerza7001044z00, "Illegal intern value", 20 );
DEFINE_STRING( BGl_string1016z00zzread_readerz00, BgL_bgl_string1016za700za7za7read_readerza7001045z00, "", 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long BgL_checksumz00_21, char * BgL_fromz00_22)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_readerz00))
{ 
BGl_requirezd2initializa7ationz75zzread_readerz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_readerz00(); 
BGl_cnstzd2initzd2zzread_readerz00(); 
BGl_importedzd2moduleszd2initz00zzread_readerz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_readerz00()
{ AN_OBJECT;
{ /* ./Read/reader.scm 16 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_reader"); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)0), "read_reader"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_readerz00()
{ AN_OBJECT;
{ /* ./Read/reader.scm 16 */
{ /* ./Read/reader.scm 16 */
obj_t BgL_cportz00_14;
BgL_cportz00_14 = 
open_input_string(BGl_string1018z00zzread_readerz00); 
{ 
long BgL_iz00_15;
BgL_iz00_15 = ((long)0); 
BgL_loopz00_16:
{ /* ./Read/reader.scm 16 */
bool_t BgL_test1020z00_17;
BgL_test1020z00_17 = 
(BgL_iz00_15==((long)-1)); 
if(BgL_test1020z00_17)
{ /* ./Read/reader.scm 16 */
return BUNSPEC;}  else 
{ /* ./Read/reader.scm 16 */
{ /* ./Read/reader.scm 16 */
obj_t BgL_arg1022z00_18;
{ /* ./Read/reader.scm 16 */
obj_t BgL_list1025z00_19;
BgL_list1025z00_19 = 
MAKE_PAIR(BgL_cportz00_14, BNIL); 
BgL_arg1022z00_18 = 
BGl_readz00zz__readerz00(BgL_list1025z00_19); } 
{ /* ./Read/reader.scm 16 */
int BgL_auxz00_36;
BgL_auxz00_36 = 
(int)(BgL_iz00_15); 
CNST_TABLE_SET(BgL_auxz00_36, BgL_arg1022z00_18); } } 
{ /* ./Read/reader.scm 16 */
int BgL_auxz00_20;
{ /* ./Read/reader.scm 16 */
long BgL_auxz00_39;
BgL_auxz00_39 = 
(BgL_iz00_15-((long)1)); 
BgL_auxz00_20 = 
(int)(BgL_auxz00_39); } 
{ 
long BgL_iz00_42;
BgL_iz00_42 = 
(long)(BgL_auxz00_20); 
BgL_iz00_15 = BgL_iz00_42; 
goto BgL_loopz00_16;} } } } } } } 
}



/* compiler-read */
BGL_EXPORTED_DEF obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t BgL_argsz00_1)
{ AN_OBJECT;
{ /* ./Read/reader.scm 23 */
{ /* ./Read/reader.scm 24 */
obj_t BgL_valuez00_2;
BgL_valuez00_2 = 
BGl_readz00zz__readerz00(BgL_argsz00_1); 
{ /* ./Read/reader.scm 25 */
bool_t BgL_test1003z00_3;
{ /* ./Read/reader.scm 25 */
obj_t BgL_auxz00_45;
BgL_auxz00_45 = 
CNST_TABLE_REF(((long)0)); 
BgL_test1003z00_3 = 
(BGl_za2readerza2z00zzengine_paramz00==BgL_auxz00_45); } 
if(BgL_test1003z00_3)
{ /* ./Read/reader.scm 26 */
bool_t BgL_test1004z00_4;
BgL_test1004z00_4 = 
EOF_OBJECTP(BgL_valuez00_2); 
if(BgL_test1004z00_4)
{ /* ./Read/reader.scm 26 */
return BgL_valuez00_2;}  else 
{ /* ./Read/reader.scm 31 */
bool_t BgL_test1005z00_5;
BgL_test1005z00_5 = 
STRINGP(BgL_valuez00_2); 
if(BgL_test1005z00_5)
{ /* ./Read/reader.scm 31 */
return 
string_to_obj(BgL_valuez00_2);}  else 
{ /* ./Read/reader.scm 31 */
FAILURE(BGl_string1016z00zzread_readerz00,BGl_string1017z00zzread_readerz00,BgL_valuez00_2);} } }  else 
{ /* ./Read/reader.scm 25 */
return BgL_valuez00_2;} } } } 
}



/* _compiler-read */
obj_t BGl__compilerzd2readzd2zzread_readerz00(obj_t BgL_envz00_12, obj_t BgL_argsz00_13)
{ AN_OBJECT;
{ /* ./Read/reader.scm 23 */
return 
BGl_compilerzd2readzd2zzread_readerz00(BgL_argsz00_13);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_readerz00()
{ AN_OBJECT;
{ /* ./Read/reader.scm 16 */
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "read_reader");} 
}

